org.jbpm.marshalling.impl

## Interface ProcessInstanceMarshaller

- All Known Implementing Classes:
    AbstractProcessInstanceMarshaller, AbstractProtobufProcessInstanceMarshaller, ProtobufRuleFlowProcessInstanceMarshaller, RuleFlowProcessInstanceMarshaller

      public interface ProcessInstanceMarshaller

  A ProcessInstanceMarshaller must contain all the write/read logic for nodes of a specific ProcessInstance. It colaborates with OutputMarshaller and InputMarshaller, that delegates in a ProcessInstanceMarshaller to stream in/out runtime information.
  See Also:
    `org.drools.core.marshalling.impl.OutputMarshaller`, `InputMarshaller`, `ProcessMarshallerRegistry`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.runtime.process.NodeInstance` | `readNodeInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context, org.kie.api.runtime.process.NodeInstanceContainer nodeInstanceContainer, org.kie.api.runtime.process.WorkflowProcessInstance processInstance)`
    `org.kie.api.runtime.process.ProcessInstance` | `readProcessInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
    `Object` | `writeNodeInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context, org.kie.api.runtime.process.NodeInstance nodeInstance)`
    `Object` | `writeProcessInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context, org.kie.api.runtime.process.ProcessInstance processInstance)`

- - ### Method Detail

    - #### writeProcessInstance

          Object writeProcessInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                    org.kie.api.runtime.process.ProcessInstance processInstance)
                                      throws IOException

      Throws:
        `IOException`

    - #### writeNodeInstance

          Object writeNodeInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                 org.kie.api.runtime.process.NodeInstance nodeInstance)
                                   throws IOException

      Throws:
        `IOException`

    - #### readProcessInstance

          org.kie.api.runtime.process.ProcessInstance readProcessInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                                                                          throws IOException

      Throws:
        `IOException`

    - #### readNodeInstance

          org.kie.api.runtime.process.NodeInstance readNodeInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                                                  org.kie.api.runtime.process.NodeInstanceContainer nodeInstanceContainer,
                                                                  org.kie.api.runtime.process.WorkflowProcessInstance processInstance)
                                                                    throws IOException

      Throws:
        `IOException`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.